title background cosmic ray ionization by suprathermal electrons only
c must turn off charge transfer heating, which would dominate
no ctheat
c background CR ionization rate should be 2.5e-17 s^-1,
c Tielens & Hollenbach 1985; McKee AstroPH 9901370
cosmic rays, background
c this will be VERY faint
black 50,000
ionization parameter -25
hden 5
stop zone 1
constant temperature 1,000K
punch asserts "cosmicray.asr" last
// changed from 0.139 to 0.167 99 sep 15 follwing including
// level3 in ots fields (??).  also increased error
assert eden 0.167 0.07
assert csupra -16.602
c uncertain since depends on collider density
assert htot -23.51 .1
assert ionization hydrogen 2 -5.052
assert ionization helium 2 -9.561
assert ionization carbon 2 -5.132
// changed from 0.778 to 0.751 99 sep 15 follwing including
// level3 in ots fields (??).  also increased error
assert ionization silicon 2 -0.751 0.07
assert ionization iron 2 -4.804
assert column h2 15
assert column co 11.9
iterate
print last iteration
print ages
c cosmicray.in
